Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.servlet
[Java] Interface FlashScope

    @java.lang.SuppressWarnings("rawtypes")
    public interface FlashScope
    extends java.util.Map, java.io.Serializable

Represents flash scope and allows a flash scope map to be set to the next state. Flash scope essentially allows variables to be maintained for the next state and the next state only, what this means is if objects are stored inside FlashScope on the first call to "next()" they will be still there, but on the subsequent call they will be cleared unless they have been set again since the last call to "next()"

Authors:
  Graeme Rocher

Method Summary
`java.util.Map` | `getNow()` Returns the current state of flash scope, to be used if you don't want to include variables in the next request
`void` | `next()` Sets the flash scope to the next state upon a new request

Methods inherited from interface java.util.Map
java.util.Map#remove(java.lang.Object), java.util.Map#get(java.lang.Object), java.util.Map#put(java.lang.Object, java.lang.Object), java.util.Map#equals(java.lang.Object), java.util.Map#values(), java.util.Map#hashCode(), java.util.Map#clear(), java.util.Map#isEmpty(), java.util.Map#size(), java.util.Map#entrySet(), java.util.Map#putAll(java.util.Map), java.util.Map#keySet(), java.util.Map#containsValue(java.lang.Object), java.util.Map#containsKey(java.lang.Object)

Method Detail

### getNow

    public java.util.Map getNow()

  Returns the current state of flash scope, to be used if you don't want to include variables in the next request
  Returns:
    A map

### next

    public void next()

  Sets the flash scope to the next state upon a new request

Groovy Documentation